import Vue from 'vue'
import App from './App.vue'
import router from './router'
import pinia from '@/store/index'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import '@/assets/scss/element-variables.scss'
import '@/assets/scss/common.scss'
import * as echarts from 'echarts'
import { message } from '@/utils/resetMessage'

Vue.config.productionTip = false
Vue.use(ElementUI)
Vue.prototype.$message = message
Vue.prototype.$echarts = echarts

new Vue({
  pinia,
  router,
  render: h => h(App)
}).$mount('#app')
